Package org.eclipse.ecf.provider.comm

# Interface ISynchAsynchEventHandler

All Superinterfaces:
  `IAsynchEventHandler`, `IConnectionListener`, `ISynchEventHandler`

public interface ISynchAsynchEventHandler extends ISynchEventHandler, IAsynchEventHandler
Event handler callback interface for connections that have both asynchronous and synchronous capabilities

## Method Summary

### Methods inherited from interface org.eclipse.ecf.provider.comm.IAsynchEventHandler

`handleAsynchEvent`

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnectionListener

`getEventHandlerID, handleConnectEvent, handleDisconnectEvent`

### Methods inherited from interface org.eclipse.ecf.provider.comm.ISynchEventHandler

`handleSynchEvent`